package ex_nodecrud.view
{
	import ex_nodecrud.ApplicationFacade;
	
	import org.puremvc.as3.interfaces.IMediator;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.mediator.Mediator;

	public class ViewerMediator extends Mediator implements IMediator
	{
		public static const NAME:String = "ViewerMediator";
		private var node:Object;
		
		public function ViewerMediator(viewComponent:ViewerPanel, node:Object)
		{
			super(NAME, viewComponent);
			this.node = node;
		}
		
		override public function listNotificationInterests():Array
		{
			return [ApplicationFacade.OPENVIEWER_COMPLETE];
		}
		
		override public function handleNotification(note:INotification):void
		{
			switch (note.getName())
			{
				case ApplicationFacade.OPENVIEWER_COMPLETE:
					cView.lblTitle.text = node.title;
					cView.txtBody.text = node.body;
					break;
			}
		}
		
		public function get cView():ViewerPanel
		{
			return viewComponent as ViewerPanel;
		}
	}
}
